Bug 18304 - Do not mail cart or list contents to the library
Summary: Do not mail cart or list contents to the library
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-20 11:50 UTC by Marcel de Rooy
Modified: 2017-04-02 17:47 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18304: Do not mail cart or list contents to the library (3.44 KB, patch)
2017-03-20 12:04 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18304: Do not mail cart or list contents to the library (3.46 KB, patch)
2017-03-20 14:49 UTC, Jesse Maseto
Details | Diff | Splinter Review
Bug 18304: Do not mail cart or list contents to the library (3.53 KB, patch)
2017-03-20 19:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18304: [QA Follow-up] Add id to paragraph tag (2.94 KB, patch)
2017-03-20 21:01 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-03-20 11:50:47 UTC
Sometimes we receive mails from patrons, sent from opac-sendbasket or opac-sendshelf. Instead of placing a hold on books they send the contents of the cart (or even a list).
Comment 1 Marcel de Rooy 2017-03-20 12:04:10 UTC
Created attachment 61285 [details] [review]
Bug 18304: Do not mail cart or list contents to the library

Sometimes we receive mails from patrons, sent from opac-sendbasket or
opac-sendshelf. Instead of placing a hold on books they send the contents
of the cart (or even a list).

This patch simply puts a note on both forms saying that they should not
use the mail to request or renew books. If both options are disabled on
the OPAC, the message is not shown.

Test plan:
[1] Enable RequestOnOPAC.
[2] Put a book in the cart.
[3] Open the cart, click on Send. Verify presence of the message.
[4] Open a list.
[5] Click on Send list. Verify presence of the message.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Jesse Maseto 2017-03-20 14:49:39 UTC
Created attachment 61317 [details] [review]
Bug 18304: Do not mail cart or list contents to the library

Sometimes we receive mails from patrons, sent from opac-sendbasket or
opac-sendshelf. Instead of placing a hold on books they send the contents
of the cart (or even a list).

This patch simply puts a note on both forms saying that they should not
use the mail to request or renew books. If both options are disabled on
the OPAC, the message is not shown.

Test plan:
[1] Enable RequestOnOPAC.
[2] Put a book in the cart.
[3] Open the cart, click on Send. Verify presence of the message.
[4] Open a list.
[5] Click on Send list. Verify presence of the message.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>
Comment 3 Jonathan Druart 2017-03-20 19:40:15 UTC
Created attachment 61339 [details] [review]
Bug 18304: Do not mail cart or list contents to the library

Sometimes we receive mails from patrons, sent from opac-sendbasket or
opac-sendshelf. Instead of placing a hold on books they send the contents
of the cart (or even a list).

This patch simply puts a note on both forms saying that they should not
use the mail to request or renew books. If both options are disabled on
the OPAC, the message is not shown.

Test plan:
[1] Enable RequestOnOPAC.
[2] Put a book in the cart.
[3] Open the cart, click on Send. Verify presence of the message.
[4] Open a list.
[5] Click on Send list. Verify presence of the message.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Jesse Maseto <jesse@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Katrin Fischer 2017-03-20 20:37:10 UTC
Can we please add an id/class to this? We have at least one library who pulls the books from the shelves using the cart and doesn't allow on-shelf-holds. This would allow us to change/hide the note using CSS.
Comment 5 Marcel de Rooy 2017-03-20 21:01:47 UTC
Created attachment 61346 [details] [review]
Bug 18304: [QA Follow-up] Add id to paragraph tag

See Bugzilla, comment 4.

Note: the id is unique in the Koha codebase (git grepped).

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Katrin Fischer 2017-03-20 21:07:40 UTC
Thank you, Marcel!
Comment 7 Kyle M Hall 2017-03-31 15:08:14 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 8 Katrin Fischer 2017-04-02 17:47:53 UTC
This won't get ported back to 16.11.x as it is an enhancement.